CTAN(3)

NAME
ctan, ctanf, ctanl - complex circular tangent

SYNOPSIS
#include <complex.h>
double complex
ctan(double complex z);
float complex
ctanf(float complex z);
long double complex
ctanl(long double complex z);

DESCRIPTION
The ctan(), ctanf() and ctanl() functions compute the complex circular tangent of z.

If z = x + iy, then

    ctan(z) = (sin(2x) + i sinh(2y)) / (cos(2x) + cosh(2y)).

On the real axis the denominator is zero at odd multiples of Pi/2. The denominator is evaluated by its Taylor series near these points.

    ctan(z) = -i ctanh(iz).

RETURN VALUES
The ctan(), ctanf() and ctanl() functions return the complex circular tangent of z.

SEE ALSO
ccos(3), csin(3)

STANDARDS
The ctan(), ctanf() and ctanl() functions conform to isoC-99.